# Fill in the sections of an impact assessment

`PATCH /compliance/center/dpias/{id}` · Rivier · compliance

Fill in the sections of an impact assessment.

- Scope: compliance:write
- Mcp: rivier_compliance_dpia_edit
- Graphql: Mutation.complianceDpiaUpdate
- Sdk: compliance.dpia.update
- Cli: compliance dpia update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "sections": {
      "type": "object",
      "additionalProperties": {
        "type": "string",
        "maxLength": 6000
      },
      "propertyNames": {
        "maxLength": 60
      }
    },
    "reviewDate": {
      "type": "string",
      "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/compliance/center/dpias/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "sections": {},
  "reviewDate": "string"
}'
```
